Skip to main content
GET
/
customers
/
{customer_id}
/
contacts
/
{customer_contact_id}
Get Contact
curl --request GET \
  --url https://api.crosoftware.com/v0/customers/{customer_id}/contacts/{customer_contact_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.crosoftware.com/v0/customers/{customer_id}/contacts/{customer_contact_id}"

headers = {
    "x-tenant-id": "<x-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.crosoftware.com/v0/customers/{customer_id}/contacts/{customer_contact_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "email": "jsmith@example.com",
  "fax": "<string>",
  "id": 123,
  "name": "<string>",
  "notify_on_acknowledged_request": true,
  "notify_on_completed_request": true,
  "notify_on_dispatched_request": true,
  "notify_on_failed_request": true,
  "notify_on_new_request": true,
  "number": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

customer_id
integer<int64>
required

Customer identifier.

customer_contact_id
integer<int64>
required

Customer contact identifier.

Response

200 - application/json

Success

Customer contact.

email
string<email>
required

Email address comma-separated list.

fax
string
required

Fax number (free text).

id
integer<int64>
required

Customer contact identifier.

name
string
required

Name (free text).

notify_on_acknowledged_request
boolean
required

Notify on acknowledge request.

notify_on_completed_request
boolean
required

Notify on completed request.

notify_on_dispatched_request
boolean
required

Notify on dispatched request.

notify_on_failed_request
boolean
required

Notify on failed request.

notify_on_new_request
boolean
required

Notify on new request.

number
string
required

Phone number (free text).